Bug 1411961 - Review Request: golang-github-milochristiansen-axis2 - A simple virtual filesystem API
Summary: Review Request: golang-github-milochristiansen-axis2 - A simple virtual files...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 20:49 UTC by Ben Rosser
Modified: 2017-05-04 14:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-14 17:19:38 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Ben Rosser 2017-01-10 20:49:29 UTC
Spec URL: https://tc01.fedorapeople.org/dwarffortress/golang-github-milochristiansen-axis2.spec
SRPM URL: https://tc01.fedorapeople.org/dwarffortress/golang-github-milochristiansen-axis2-0-1.gitb5183a8.fc25.src.rpm

Description: AXIS is based on a few simple interfaces and a set of API functions that operate on these interfaces. Clients use the provided implementations of
these interfaces (or provide their own custom implementations) to create
"data sources" that may be mounted on a "file system" and used for
OS-independent file IO.

AXIS was originally written to allow files inside of archives to be
handled with exactly the same API as used for files inside of directories,
but it has since grown to allow "logical" files and directories as well as
"multiplexing" multiple items on the same location (to, for example, make
two directories look and act like one). These properties make AXIS perfect
for handling data and configuration files for any program where flexibility
is important, the program does not need to know where its files are actually
located, it simply needs them to be at a certain place in it's AXIS file
system. Changing where a program loads it's files from is then as simple
as changing the code that initializes the file system.

Fedora Account System Username: tc01

Comment 1 Fabio Valentini 2017-03-15 08:48:25 UTC
Taking this review.

Comment 2 Fabio Valentini 2017-03-15 09:03:46 UTC
Initial comments:

1) You should use Release: 0.1.git%{shortcommit}%{?dist} (including the leading zero), since this is a pre-release snapshot, not a post-release-snapshot.

2) The zlib license has only been confirmed for another repo, but not for this one. Please make sure that the same license applies for this code too.

3) You might want to use a different target file name four your download, for example: "Source0: https://%{provider_prefix}/archive/%{commit}/%{project}-%{repo}-%{shortcommit}.tar.gz" (so _including_ the "project" prefix; no other changes in the .spec file needed), to prevent confusion / conflicts with other package's sources.

4) You can remove the empty %if-%endif blocks at lines 70 and 89.

5) Please remove / adapt the GOPATH definition on line 144, the Godeps directory isn't present in the sources - is this a leftover from an earler version?

6) Please ask upstream to include a COPYING file in this repository too (and link the upstream issue in the .spec file or in a comment here, to document that you did your "homework".

Comment 3 Fabio Valentini 2017-03-28 09:24:12 UTC
Pinging submitter.

Comment 4 Ben Rosser 2017-03-29 15:37:36 UTC
Spec URL: https://tc01.fedorapeople.org/dwarffortress/golang-github-milochristiansen-axis2.spec
SRPM URL: https://tc01.fedorapeople.org/dwarffortress/golang-github-milochristiansen-axis2-0-0.2.gitb5183a8.fc25.src.rpm

- Clean up template golang spec file, removing Godeps path and an empty ifdef block.
- Renamed download of Source0 to include the project prefix.
- Change versioning to pre-release snapshot versions.
- Include link to upstream bug requesting a license/copying file.
- Added comment asking upstream to add license file.

> 2) The zlib license has only been confirmed for another repo, but not for this one. Please make sure that the same license applies for this code too.

It does; both this code and golang-github-milochristiansen-lua are components of Rubble (http://dffd.bay12games.com/file.php?id=11368). The License file included in that archive has the following text: https://paste.fedoraproject.org/paste/4IDKJAQ4pxQnr13Wsubzk15M1UNdIGYhyRLivL9gydE= which confirms that both axis2 and lua are both zlib licensed.

Furthermore, the source files all contain zlib license headers.

I have filed another ticket against the axis2 repository asking for a license file to be included in that repository though. (I was hoping that upstream would add one to both after I filed the other ticket against the lua repository): https://github.com/milochristiansen/axis2/issues/1

Comment 5 Fabio Valentini 2017-03-29 18:47:49 UTC
Package looks good now, except for two non-blocking "issues":

1) You missed an empty %if-endif block at line 86.
2) It would be nice if the %description was wrapped at 72 characters (I don't exactly know why, but it seems to be common practice).

You can just fix the %description line lengths before importing into git.

Comment 6 Gwyn Ciesla 2017-04-04 12:37:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-milochristiansen-axis2

Comment 7 Fedora Update System 2017-04-06 19:51:09 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe6485afd2

Comment 8 Fedora Update System 2017-04-06 19:51:35 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8831b42f1

Comment 9 Fedora Update System 2017-04-06 19:52:00 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bab763fd2d

Comment 10 Fedora Update System 2017-04-06 19:52:30 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1621f70b10

Comment 11 Fedora Update System 2017-04-07 18:50:21 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe6485afd2

Comment 12 Fedora Update System 2017-04-07 19:54:06 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1621f70b10

Comment 13 Fedora Update System 2017-04-07 19:57:34 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bab763fd2d

Comment 14 Fedora Update System 2017-04-07 21:21:19 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8831b42f1

Comment 15 Fedora Update System 2017-04-14 17:19:38 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-04-19 22:18:19 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-04-19 23:20:11 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-05-04 14:52:13 UTC
golang-github-milochristiansen-axis2-0-0.3.git20ad745.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.